%global momorel 1
%global md5sum_src0 c544e32072f14c58fc21d42c151d9509

Summary: Autodir creates home, group directories for LDAP/NIS/SQL/local Unix accounts transparently
Name: autodir
Version: 0.99.3
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
URL: http://www.intraperson.com/autodir/
%NoSource 0 http://dl.sourceforge.net/sourceforge/intraperson/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: autodir-0.96.0-init.d.patch
Patch1: autodir-0.96.0-cflags.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpcap
PreReq: chkconfig

%description
Autodir offers a simple and effective means to create directories like home directories 
in a transparent manner. It relies on the autofs protocol for its operation.

%prep
%setup -q
%patch0 -p1 -b .init.d
%patch1 -p1 -b .cflags

# Fix for lib64
perl -pi -e 's|/usr/lib/autodir|%{_libdir}/autodir|g' misc/init.scripts/sysconfig/*

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

{
cd misc/init.scripts/
mkdir -p %{buildroot}%{_sysconfdir}/init.d/
install -m 0755 autogroup %{buildroot}%{_sysconfdir}/init.d/autogroup
install -m 0755 autohome  %{buildroot}%{_sysconfdir}/init.d/autohome

cd sysconfig/
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
install -m 0755 autogroup %{buildroot}%{_sysconfdir}/sysconfig/autogroup
install -m 0755 autohome  %{buildroot}%{_sysconfdir}/sysconfig/autohome
}

%clean
rm -rf %{buildroot}

%post
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add autogroup
    /sbin/chkconfig --add autohome
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service autogroup stop &>/dev/null || :
    /sbin/service autohome stop &>/dev/null || :
    /sbin/chkconfig --del autogroup
    /sbin/chkconfig --del autohome
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service autogroup condrestart &>/dev/null || :
    /sbin/service autohome condrestart &>/dev/null || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README.first
%doc doc/Autodir-HOWTO.html
%config(noreplace) %{_sysconfdir}/sysconfig/autogroup
%config(noreplace) %{_sysconfdir}/sysconfig/autohome
%{_sysconfdir}/init.d/autogroup
%{_sysconfdir}/init.d/autohome
%{_sbindir}/autodir
%{_libdir}/autodir/

%changelog
* Wed Aug  9 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.99.3-1m)
- welcome to Momonga

